package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjBcxx;
import io.lettuce.core.dynamic.annotation.Param;

/**
 * 方案补充信息Mapper接口
 * 
 * @author ruoyi
 * @date 2026-03-05
 */
public interface SjBcxxMapper 
{
    /**
     * 查询方案补充信息
     * 
     * @param id 方案补充信息主键
     * @return 方案补充信息
     */
    public SjBcxx selectSjBcxxById(Long id);

    /**
     * 查询方案补充信息列表
     * 
     * @param sjBcxx 方案补充信息
     * @return 方案补充信息集合
     */
    public List<SjBcxx> selectSjBcxxList(SjBcxx sjBcxx);

    /**
     * 新增方案补充信息
     * 
     * @param sjBcxx 方案补充信息
     * @return 结果
     */
    public int insertSjBcxx(SjBcxx sjBcxx);

    /**
     * 修改方案补充信息
     * 
     * @param sjBcxx 方案补充信息
     * @return 结果
     */
    public int updateSjBcxx(SjBcxx sjBcxx);

    /**
     * 删除方案补充信息
     * 
     * @param id 方案补充信息主键
     * @return 结果
     */
    public int deleteSjBcxxById(Long id);

    /**
     * 批量删除方案补充信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjBcxxByIds(Long[] ids);

    int insertSjBcxxBatch(@Param("list") List<SjBcxx> sjBcxxList);

    int deleteSjBcxxByZbid(Long id);

}
